- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MY_user_data Class Reference

Class taking care of interaction between user data and Bcp. More...

`#include <OS_user_data.hpp>`

Collaboration diagram for MY_user_data:

[legend]
List of all members.

## Public Member Functions
Constructors and destructors
| MY_user_data (const int max_size)
| Initial constructor.
| MY_user_data (BCP_buffer &buf)
| Constructor from buffer content.
| ~MY_user_data ()
| Destructor.
void | pack (BCP_buffer &buf) const
| Packing to buffer.
void | print () const
| Dump the fields of the class.
## Public Attributes
int | is_processed
| Indicator for mmory management: If is_processed = 1, the associated user data may be erased.
real_user_data * | p_rud
| Pointer on an object holding the user data itself.

## Detailed Description

Class taking care of interaction between user data and Bcp.

Definition at line 58 of file OS_user_data.hpp.

## Constructor & Destructor Documentation

MY_user_data::MY_user_data | ( | const int | max_size | ) |

Initial constructor.

Definition at line 20 of file OS_user_data.cpp.

References p_rud.

MY_user_data::MY_user_data | ( | BCP_buffer & | buf | ) |

Constructor from buffer content.

Definition at line 30 of file OS_user_data.cpp.

References is_processed, and p_rud.

MY_user_data::~MY_user_data | ( |  | ) |

Destructor.

Definition at line 39 of file OS_user_data.cpp.

References is_processed, and p_rud.

## Member Function Documentation

void MY_user_data::pack | ( | BCP_buffer & | buf | ) | const

Packing to buffer.

Definition at line 51 of file OS_user_data.cpp.

References is_processed, and p_rud.

Referenced by OS_packer::pack_user_data().

void MY_user_data::print | ( |  | ) | const

Dump the fields of the class.

Definition at line 62 of file OS_user_data.cpp.

References is_processed, p_rud, and real_user_data::print().

Referenced by OS_packer::pack_user_data(), and OS_packer::unpack_user_data().

## Member Data Documentation

int MY_user_data::is_processed

Indicator for mmory management: If is_processed = 1, the associated user data may be erased.

Definition at line 63 of file OS_user_data.hpp.

Referenced by OS_lp::initialize_new_search_tree_node(), MY_user_data(), pack(), print(), OS_packer::unpack_user_data(), and ~MY_user_data().

real_user_data* MY_user_data::p_rud

Pointer on an object holding the user data itself.

Definition at line 66 of file OS_user_data.hpp.

Referenced by MY_user_data(), pack(), print(), OS_lp::set_user_data_for_children(), OS_packer::unpack_user_data(), and ~MY_user_data().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/include/OS_user_data.hpp
- /home/coin/SVN-release/OS-2.3.5/ApplicationTemplates/branchCutPrice/Member/OS_user_data.cpp